<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml2/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">

<head>

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>

<script type="text/javascript" src="ddaccordion.js">

/***********************************************
* Accordion Content script- (c) Dynamic Drive DHTML code library (www.dynamicdrive.com)
* Visit http://www.dynamicDrive.com for hundreds of DHTML scripts
* This notice must stay intact for legal use
***********************************************/

</script>


<script type="text/javascript">


ddaccordion.init({
	headerclass: "submenuheader", //Shared CSS class name of headers group
	contentclass: "submenu", //Shared CSS class name of contents group
	revealtype: "click", //Reveal content when user clicks or onmouseover the header? Valid value: "click", "clickgo", or "mouseover"
	mouseoverdelay: 200, //if revealtype="mouseover", set delay in milliseconds before header expands onMouseover
	collapseprev: true, //Collapse previous content (so only one open at any time)? true/false 
	defaultexpanded: [], //index of content(s) open by default [index1, index2, etc] [] denotes no content
	onemustopen: false, //Specify whether at least one header should be open always (so never all headers closed)
	animatedefault: false, //Should contents open by default be animated into view?
	persiststate: true, //persist state of opened contents within browser session?
	toggleclass: ["", ""], //Two CSS classes to be applied to the header when it's collapsed and expanded, respectively ["class1", "class2"]
	togglehtml: ["suffix", "<img src='plus.gif' class='statusicon' />", "<img src='minus.gif' class='statusicon' />"], //Additional HTML added to the header when it's collapsed and expanded, respectively  ["position", "html1", "html2"] (see docs)
	animatespeed: "fast", //speed of animation: integer in milliseconds (ie: 200), or keywords "fast", "normal", or "slow"
	oninit:function(headers, expandedindices){ //custom code to run when headers have initalized
		//do nothing
	},
	onopenclose:function(header, index, state, isuseractivated){ //custom code to run whenever a header is opened or closed
		//do nothing
	}
})


</script>


<style type="text/css">

.glossymenu{
margin: 15px 0;
padding: 0;
width: 175px; /*width of menu*/
border: 0px solid #9A9A9A;
border-bottom-width: 0;
}

.glossymenu a.menuitem{
background: black url(glossyback.gif) repeat-x bottom left;
font: bold 14px "Lucida Grande", "Trebuchet MS", Verdana, Helvetica, sans-serif;
color: white;
display: block;
position: relative; /*To help in the anchoring of the ".statusicon" icon image*/
width: auto;
padding: 4px 0;
padding-left: 10px;
text-decoration: none;
}


.glossymenu a.menuitem:visited, .glossymenu .menuitem:active{
color: white;
}

.glossymenu a.menuitem .statusicon{ /*CSS for icon image that gets dynamically added to headers*/
position: absolute;
top: 5px;
right: 5px;
border: none;
}

.glossymenu a.menuitem:hover{
background-image: url(glossyback2.gif);
}

.glossymenu div.submenu{ /*DIV that contains each sub menu*/
background: white;
}

.glossymenu div.submenu ul{ /*UL of each sub menu*/
list-style-type: none;
margin: 0;
padding: 0;
}

.glossymenu div.submenu ul li{
border-bottom: 1px solid blue;
}

.glossymenu div.submenu ul li a{
display: block;
font: normal 13px "Lucida Grande", "Trebuchet MS", Verdana, Helvetica, sans-serif;
color: black;
text-decoration: none;
padding: 2px 0;
padding-left: 10px;
}

.glossymenu div.submenu ul li a:hover{
background: #DFDCCB;
colorz: white;
}

</style>

</head>

<body>
<table width="179" border="0" height="909" bgcolor="#2a6ecf">
  <tr> 
    <td bgcolor="#2a6ecf" valign="top"> 
      <div class="glossymenu"> 
        <p><a class="menuitem" href="index.php">Homepage<img src="images/home.png" width="35" height="30" vspace="0" hspace="25" align="absmiddle"></a> 
        </p>
        <a class="menuitem submenuheader"" >Températures</a> 
        <div class="submenu"> 
          <ul>
            <li><a href="temperature_48h.php">Graphique sur 48h</a></li>
            <li><a href="temperature_mois.php">Graphique mois en cours</a></li>
            <li><a href="temperature_annee.php">Graphique année en cours<br></a></li>
            <img src="images/thermo.jpg" style="margin: 5px 5px" /> 
          </ul>
        </div>
        <a class="menuitem submenuheader" href="">Pression - Humidité</a> 
        <div class="submenu"> 
          <ul>
            <li><a href="pression_48h.php">Graphique sur 48h</a></li>
            <li><a href="pression_mois.php">Graphique mois en cours</a></li>
            <li><a href="pression_annee.php">Graphique année en cours<br></a></li>
            <li><img src="images/pression.jpg" style="margin: 5px 5px" /></li>
          </ul>
        </div>
        <a class="menuitem submenuheader" href="">Pluviométrie</a> 
        <div class="submenu"> 
          <ul>
            <li><a href="pluie_48h.php">Graphique sur 48h</a></li>
            <li><a href="pluie_mois.php">Graphique mois en cours</a></li>
            <li><a href="pluie_annee.php">Graphique année en cours<br></a></li>
            <li><img src="images/pluie.jpg" style="margin: 5px 5px" /></li>
          </ul>
        </div>
        <a class="menuitem submenuheader" href="">Vent - Rafale</a> 
        <div class="submenu"> 
          <ul>
            <li><a href="vent_48h.php">Graphique sur 48h</a></li>
            <li><a href="vent_mois.php">Graphique mois en cours</a></li>
            <li><a href="vent_annee.php">Graphique année en cours<br></a></li>
            <li><img src="images/vent.jpg" style="margin: 5px 5px" /></li>
          </ul>
        </div>
		<a class="menuitem submenuheader" href="">Ephéméride - PDA</a> 
        <div class="submenu"> 
          <ul>
            <li><a href="ephemeride.php">Ephéméride</a></li>
            <li><a href="pda.php">PDA</a></li>
            <li><img src="images/pda.jpg" style="margin: 5px 5px" /></li>
          </ul>
        </div>
		<a class="menuitem submenuheader" href="">Prévisions - Radar</a> 
        <div class="submenu"> 
          <ul>
            <li><a href="previsions.php">Prévisions</a></li>
			<li><a href="yr-no.php">Prévisions Yr.no</a></li>
			<li><a href="actuel.php">Temps actuel</a></li>
			<li><a href="satellite.php">Image satellite</a></li>
            <li><a href="radar.php">Radar pluie<br></a></li>
            <li><img src="images/satellite.jpg" style="margin: 5px 5px" /></li>
          </ul>
        </div>
        <a class="menuitem submenuheader" href="">Statistiques</a>
		<div class="submenu"> 
          <ul>
            <li><a href="statistiques.php">Statistiques GW</a></li>
            <li><a href="comparaison.php">Comparaisons</a></li>
			<li><a href="records.php">Records de l'année</a></li>
            <li><img src="images/statistique.jpg" style="margin: 5px 5px" /></li>
          </ul>
        </div> 
        <a class="menuitem submenuheader" href="">Info station</a> 
        <div class="submenu"> 
          <ul>
            <li><a href="situation.php">Situation</a></li>
            <li><a href="materiel.php">Matériel - Programmes</a></li>
            <li><a href="photos.php">Photos</a></li>
          </ul>
          <img src="images/station.jpg" style="margin: 10px 5px" /> 
        </div>
        <a class="menuitem" href="livre.php" style="border-bottom-width: 0"><font color="#FFCC00">Livre 
        d'Or</font></a> </div>
    </td>
  </tr>
</table>
<p>&nbsp;</p>
</body>
</html>